Create cloud connector
- Base URL
-
https://{kibana_url}
- POST /api/fleet/cloud_connectors
- POST /s/{space_id}/api/fleet/cloud_connectors
Refer to Spaces for more information.
Create a new Fleet cloud connector.
Required authorization
- Privileges fleet-agent-policies-all or integrations-all
Request body
-
accountType -
The account type: single-account (single account/subscription) or organization-account (organization-wide).
-
Values:
single-accountorganization-account -
iac_blueprint_idstring · min length: 1 · max length: 255nullable -
Identifier of the template source last used for this connector. Set to null to remove it.
-
iac_blueprint_versionstring · min length: 1 · max length: 64nullable -
Version of the template source last used for this connector. Set to null to remove it.
-
iac_deployment_idstring · min length: 1 · max length: 2048 -
ARN of the last CloudFormation stack deployed for this connector (
arn:<partition>:cloudformation:<region>:<account>:stack/<name>/<id>).
Responses
Successful response
-
itemobjectrequired -
iac_blueprint_idstring · min length: 1 · max length: 255nullable -
Identifier of the template source last used for this connector. Set to null to remove it.
-
iac_blueprint_versionstring · min length: 1 · max length: 64nullable -
Version of the template source last used for this connector. Set to null to remove it.
-
iac_deployment_idstring · min length: 1 · max length: 2048 -
ARN of the last CloudFormation stack deployed for this connector (
arn:<partition>:cloudformation:<region>:<account>:stack/<name>/<id>). -
iac_keystring · min length: 1 · max length: 512nullable -
Checksum of the CloudFormation template last saved on this connector. Set to null to remove it.
-
iac_upgrade_checked_atstring -
When this connector was last checked for a CloudFormation template upgrade.